KDE 4.4 PyKDE API Reference

- KDE's Python API

# KCategoryDrawerV2 Class Reference

`from PyKDE4.kdeui import *`

Inherits: QObject,KCategoryDrawer

## Detailed Description

Since:
  4.4

## Signals
| collapseOrExpandClicked (, QModelIndex index)
## Methods
| __init__ (self, QObject parent=0)
| collapseOrExpandClicked (self, QModelIndex index)
| mouseButtonDoubleClicked (self, QModelIndex index, QMouseEvent event)
| mouseButtonMoved (self, QModelIndex index, QMouseEvent event)
| mouseButtonPressed (self, QModelIndex index, QMouseEvent event)
| mouseButtonReleased (self, QModelIndex index, QMouseEvent event)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

collapseOrExpandClicked | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("collapseOrExpandClicked(const QModelIndex&)"), target_slot)`

mouseButtonDoubleClicked | ( | self, |
|  | QModelIndex | index,
|  | QMouseEvent | event
| ) |  |  |

mouseButtonMoved | ( | self, |
|  | QModelIndex | index,
|  | QMouseEvent | event
| ) |  |  |

mouseButtonPressed | ( | self, |
|  | QModelIndex | index,
|  | QMouseEvent | event
| ) |  |  |

mouseButtonReleased | ( | self, |
|  | QModelIndex | index,
|  | QMouseEvent | event
| ) |  |  |